Name:       dbusextended-qt5

Summary:    Extended DBus for Qt
Version:    0.0.3
Release:    1%{?dist}
License:    LGPLv2.1
URL:        https://github.com/nemomobile/qtdbusextended
Source0:    https://github.com/nemomobile/qtdbusextended/archive/refs/tags/0.0.3.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

%description
%{summary}.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
#%%setup -q -n %{name}-%{version}
%setup -q -n qtdbusextended-%{version}

%build
#%%qmake5
%{qmake_qt5}

make %{?_smp_mflags}

%install
#%%qmake5_install
%make_install INSTALL_ROOT=%{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/qt5/mkspecs/features/dbusextended-qt5.prf
%{_includedir}/qt5/DBusExtended/DBusExtended
%{_includedir}/qt5/DBusExtended/DBusExtendedAbstractInterface
%{_includedir}/qt5/DBusExtended/dbusextended.h
%{_includedir}/qt5/DBusExtended/dbusextendedabstractinterface.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
